##
## THIS FILE IS UNDER PUPPET CONTROL. DON'T EDIT IT HERE.
## USE: git clone git+ssh://$USER@puppet.debian.org/srv/puppet.debian.org/git/dsa-puppet.git
##

@def &SERVICE($proto, $port) = {
 proto $proto mod state state (NEW) dport $port ACCEPT;
}

@def &SERVICE_RANGE($proto, $port, $srange) = {
 proto $proto mod state state (NEW) dport $port @subchain "$port" { saddr ($srange) ACCEPT; }"
}

@def &TCP_UDP_SERVICE($port) = {
 proto (tcp udp) dport $port ACCEPT;
}

@def &TCP_UDP_SERVICE_RANGE($port, $srange) = {
 proto (tcp udp) dport $port @subchain "$port" { saddr ($srange) ACCEPT; }"
}

<%
  allnodeinfo = scope.lookupvar('deprecated::allnodeinfo')
  dbs = []
  allnodeinfo.keys.sort.each do |node|
    next if allnodeinfo[node]['ipHostNumber'].to_a.empty?
    dbs << allnodeinfo[node]['ipHostNumber']
    next if allnodeinfo[node]['sshdistAuthKeysHost'].to_a.empty?
    dbs << allnodeinfo[node]['sshdistAuthKeysHost']
  end
  dbs.flatten!
%>

<%
def getfastlyranges()
    begin
	data = YAML.safe_load(File.open("/srv/puppet.debian.org/puppet-facts/fastly_ranges.yaml").read)
        return data['addresses']
    rescue
        return []
    end
end
%>
@def $HOST_FASTLY = (<%= getfastlyranges().join(' ') %>);

@def $HOST_DEBIAN = (<%= dbs.uniq.join(' ') %>);

@def $weasel  = ();
@def $weasel  = ($weasel 86.59.118.144/28); # debian@sil
@def $weasel  = ($weasel 86.59.21.32/29); # anguilla1
@def $weasel  = ($weasel 86.59.30.32/28); # anguilla2
@def $weasel  = ($weasel 185.69.162.208/28 2a02:16a8:17:200::/56); # weasel@cnva
@def $weasel  = ($weasel 213.235.231.192/26); # sil-noreply
@def $weasel  = ($weasel 141.201.0.0/16); # uni salzburg
@def $weasel  = ($weasel 194.118.0.0/16 62.46.0.0/15 62.116.32.0/19 62.116.48.0/19 178.191.0.0/16 188.23.0.0/16); # A1 Telekom
@def $weasel  = ($weasel 80.109.0.0/16); # Magenta
@def $weasel  = ($weasel 2001:826:408::/48); # unisbg
@def $weasel  = ($weasel 2001:858:10f::/48); # anguilla

@def $luca    = ();
@def $luca    = ($luca 192.184.90.19); # jump tarfu.emyr.net
@def $luca    = ($luca 2604:180:f2::12c); # jump tarfu.emyr.net

@def $tfheen   = ();
@def $tfheen   = ($tfheen 178.255.151.162); # vuizook
@def $tfheen   = ($tfheen 51.174.0.0/15); # Altibox
@def $tfheen   = ($tfheen 2a02:20c8:2640::/64); # vuizook
@def $tfheen   = ($tfheen 2a01:798::/29); # Altibox

@def $jcristau = ();
@def $jcristau = ($jcristau 78.199.47.115/32); # home
@def $jcristau = ($jcristau 62.210.122.202/32); # topinambour
@def $jcristau = ($jcristau 2a01:e34:ec72:f730::/61); # home
@def $jcristau = ($jcristau 2001:bc8:3f1d::/48); # topinambour

@def $adsb = ();
@def $adsb = ($adsb 188.64.38.69/32); # home (aquiss)
@def $adsb = ($adsb 195.22.134.8/29); # home (aquiss)
@def $adsb = ($adsb 2a07:244:38:4500::/56); # home (aquiss)
@def $adsb = ($adsb 62.253.17.76/32); # office
@def $adsb = ($adsb 78.33.24.5/32); # office
@def $adsb = ($adsb 212.71.247.17/32); # louie
@def $adsb = ($adsb 2a01:7e00::f03c:91ff:fe18:d8f2); # louie

@def $peb = ();
@def $peb = ($peb 51.159.104.11/32); # metal - stable
@def $peb = ($peb 2001:bc8:1201:54:46a8:42ff:fe1b:2595/128); #metal - stable

@def $master   = (82.195.75.110 2001:41b8:202:deb:216:36ff:fe40:4001); # master.debian.org
@def $people   = (209.87.16.67 2607:f8f0:614:1::1274:67); # paradis.debian.org
@def $draghi   = (195.192.210.136 2a02:16a8:dc41:100::13a); # draghi.debian.org

@def $DSA_IPS = ($weasel $luca $tfheen $jcristau $adsb $peb $master $people $draghi);
